Skip to main content
POST
/
virtual-accounts
/
fund
/
crypto
Fund account via crypto
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/fund/crypto \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "<string>",
  "payment_rail": "ethereum",
  "currency": "usdc",
  "user_id": "<string>",
  "from_address": "<string>",
  "amount": 123,
  "description": "<string>"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
string
required
payment_rail
string
required

Blockchain network (e.g. ethereum, solana, polygon)

Example:

"ethereum"

currency
string
required

Token symbol (e.g. usdc, usdt)

Example:

"usdc"

user_id
string
required
from_address
string

Source wallet address

amount
number<float>

Amount (optional — Bridge may derive from on-chain event)

description
string

Response

Crypto funding initiated

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object